---
name: "❓How to do something?"
about: How to do X with detectron2? How detectron2 does X?

---

## ❓ How to do something using detectron2

General questions in learning detectron2, like:

1. How to do X with detectron2?
2. How detectron2 does X?



NOTE:

1. Only general answers are provided for how-to questions.
   If you want to ask about "why X did not work",
   please use the [Unexpected behaviors / Bugs](https://github.com/facebookresearch/detectron2/issues/new?template=unexpected-problems-bugs.md)
   issue template.

2. About how to implement new models / new dataloader / new training logic, etc., check documentation first.

3. We do not answer general machine learning / computer vision questions that are not specific to
   detectron2, such as how a model works, how to improve your training/make it converge, or what algorithm/methods can be
   used to achieve X.
